package de.oaa.xxx.games.chastity.keyholder;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.UUID;

public interface KeyholderOfferRepository extends JpaRepository<KeyholderOfferEntity, UUID> {
    List<KeyholderOfferEntity> findByOffererId(UUID offererId);
    long countByOffererId(UUID offererId);
    List<KeyholderOfferEntity> findAllByOrderByAcceptanceCountDesc();
}
